{% extends "base.html"%} {% block pagination %}
<div class="pagination">
  <span class="step-links">
    {% if page_obj.has_previous %}
    <a href="?page=1">&laquo; first</a>
    <a href="?page={{ page_obj.previous_page_number }}">previous</a>
    {% endif %}

    <span class="current">
      Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
    </span>

    {% if page_obj.has_next %}
    <a href="?page={{ page_obj.next_page_number }}">next</a>
    <a href="?page={{ page_obj.paginator.num_pages }}">last &raquo;</a>
    {% endif %}
  </span>
</div>
{% endblock pagination %} {%block content%}
<li>
  <a href="{% url 'todo_list_detail' todo_list.pk%}">{{todo_list.name}}</a>
</li>
<li>
  <a href="{% url 'todo_list_new'%}">Create Todo List</a>
</li>
<li>
  <a href="{% url 'item_new'%}">Create New Item</a>
</li>
{%endblock content%}
